Logitech 915-000238 Harmony Hub Smartphone Control

Logitech 915-000238 Harmony Hub Smartphone Control Series: Harmony System Requirement: iOS iPhone 4S or later, iPad (3rd generation or later), iPad Mini, iPod touch (5th generation or later) device with iOS 8.0 or higher Android Wi-Fi enabled smartphone with Android 4.2 or higher Mobile setup Bluetooth Smart Technology, iOS or Android device Harmony App download from Apple App Store or Google Play...

Product prices and availability listed here are according to the latest data we received from Newegg and are subject to change. Any price and availability information displayed on Newegg.com at the time of purchase will apply to the purchase of this product.

Logitech 915-000238 Harmony Hub Smartphone Control